Name:           tiled
Version:        0.8.1
Release:        3%{?dist}
Summary:        Tiled Map Editor
# tiled itself is GPLv2+, libtiled and tmxviewer are BSD
License:        GPLv2+ and BSD
URL:            http://www.mapeditor.org
Source0:        http://sourceforge.net/projects/%{name}/files/%{name}-qt/%{version}/%{name}-qt-%{version}.tar.gz
# Manpages
Source1:        tiled.1
Source2:        tmxviewer.1
# Icon for desktop file
Source3:        tiled.png
# Desktop file
Source4:        tiled.desktop

# Fix for wrong fsf address:
# See https://github.com/bjorn/tiled/commit/cf42b8a60a236eb97486c1ccf8497bddb51a608a
# for upstream fix
Patch0:         tiled-incorrect-fsf-address-fix.patch
# Fix for rpath option in qmake
# See https://github.com/bjorn/tiled/commit/8130d2c76a5946e373d88111373f3d9f9f082132
# for upstream fix
Patch1:         tiled-qmake-rpath-fix.patch
# Fix for license headers that were forgotten to adapt during relicensing to BSD
# See https://github.com/bjorn/tiled/commit/608767766c6c9518276ab0aa3fa35671b59267a1
# for upstream fix
Patch2:         tiled-license-header-fix.patch

BuildRequires:  qt4-devel
BuildRequires:  desktop-file-utils

%description
Tiled is a general purpose tile map editor. It's built to be easy to use,
yet flexible enough to work with varying game engines, whether your game
is an RPG, platformer or Breakout clone. Tiled is free software and written
in C++, using the Qt application framework.

This package contains the tiled application and tmxviewer, a simple application
to view Tiled maps.

%prep
%setup -q -n %{name}-qt-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
# Remove copy of zlib
rm -rf src/zlib

%build
qmake-qt4 -r PREFIX=%{_prefix} LIBDIR=%{_libdir} RPATH=no
make %{?_smp_mflags}

%install
make install INSTALL_ROOT=%{buildroot}
# Clean build artefacts
find -name ".uic" -or -name ".moc" -or -name ".rcc" | xargs rm -rf
# Install manpages
install -D -p -m 644 %{SOURCE1} %{buildroot}/%{_mandir}/man1/%{name}.1
install -D -p -m 644 %{SOURCE2} %{buildroot}/%{_mandir}/man1/tmxviewer.1
# Install desktop file and icon
install -D -p -m 0644 %{SOURCE3} %{buildroot}/%{_datadir}/%{name}/images/%{name}.png
install -D -p -m 0644 %{SOURCE4} %{buildroot}/%{_datadir}/applications/%{name}.desktop
# Validate desktop file
desktop-file-validate %{buildroot}/%{_datadir}/applications/%{name}.desktop
# locale files
%find_lang %{name} --with-qt
# Removed development file (this version does not install headers anyway)
rm %{buildroot}/%{_libdir}/lib%{name}.so

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f %{name}.lang
%doc AUTHORS NEWS README.md COPYING LICENSE.GPL LICENSE.BSD
%{_bindir}/%{name}
%{_bindir}/tmxviewer
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/images
%dir %{_datadir}/%{name}/
%dir %{_datadir}/%{name}/translations
%{_libdir}/lib%{name}.so.*
%{_libdir}/%{name}
%{_mandir}/man1/%{name}.1*
%{_mandir}/man1/tmxviewer.1*

%changelog
* Mon Sep 3 2012 Erik Schilling <ablu.erikschilling@googlemail.com> 0.8.1-3
- Fixed preserving of timestamps in install command.
- Fixed typo in permission setting.
- Talked with upstream about license mismatch in headers.
- Those headers were outdated.

* Mon Sep 3 2012 Erik Schilling <ablu.erikschilling@googlemail.com> 0.8.1-2
- Added note about which parts are licensed with which license.
- Made sure that the copy of zlib inside of the source is removed.
- Fixed handling of locales (using %%find_lang).
- Avoided plain asterisks in %%files.
- Made description clear about containing the tmxviewer.

* Sun Sep 2 2012 Erik Schilling <ablu.erikschilling@googlemail.com> 0.8.1-1
- First version for official fedora repos.
